Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusClient.ResponseFuture<V>

java.lang.Object
java.util.concurrent.FutureTask<V>
ru.bitel.bgbilling.kernel.network.radius.RadiusClient.ResponseFuture<V>

All Implemented Interfaces:
  `Runnable`, `Future<V>`, `RunnableFuture<V>`

Enclosing class:
  `RadiusClient`

public static final class RadiusClient.ResponseFuture<V> extends FutureTask<V>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.concurrent.Future

  `Future.State`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseFuture(Callable<V> callable, Date time, int deviceId, long connectionId, int connectionLogEntryId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `done()`
  `RadiusPacket`
  `getResponse()`
  `RadiusPacket`
  `getResponse(long timeout, TimeUnit unit)`
  `void`
  `set(V v)`

  ### Methods inherited from class java.util.concurrent.FutureTask

  `cancel, exceptionNow, get, get, isCancelled, isDone, resultNow, run, runAndReset, setException, state, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResponseFuture

    public ResponseFuture(Callable<V> callable, Date time, int deviceId, long connectionId, int connectionLogEntryId)

- ## Method Details

  - ### done

    protected void done()
    Overrides:
      `done` in class `FutureTask<V>`

  - ### set

    public void set(V v)
    Overrides:
      `set` in class `FutureTask<V>`

  - ### getResponse

    public RadiusPacket getResponse() throws InterruptedException, ExecutionException
    Throws:
      `InterruptedException`
      `ExecutionException`

  - ### getResponse

    public RadiusPacket getResponse(long timeout, TimeUnit unit) throws InterruptedException, ExecutionException, TimeoutException
    Throws:
      `InterruptedException`
      `ExecutionException`
      `TimeoutException`